Bug 208435 - gcore command produces empty/corrupted core file
gcore command produces empty/corrupted core file
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
Depends On: 190128
  Show dependency treegraph
Reported: 2006-09-28 11:38 EDT by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: kernel-xen-2.6.18-1.2731.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-14 21:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2006-09-28 11:38:46 EDT
Description of problem:
gcore(1) produces core file of about 1.5KB without any dumped memory segments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /bin/sleep 1h& gcore -o core.sleep $!
2. gdb /bin/sleep core.sleep.*
3. bt

Actual results:
Cannot access memory at address 0xbfd2f748

Expected results:
#0  0xb7ff6402 in ?? ()
#1  0x006338b0 in ?? () from /lib/libc.so.6

Additional info:
Problem caused by the kernel Bug 190128.
Comment 1 Jan Kratochvil 2006-10-14 21:59:55 EDT
Kernel got fixed, gcore works again:

Bugfix found to be committed:
  revision 1.2731
  date: 2006/10/03 18:00:26;  author: davej;  state: Exp;  lines: +2 -1
  Fix breakage in /proc/*/smaps access control (#208589)
Verified in:

Note You need to log in before you can comment on or make changes to this bug.